curl --request POST \
--url https://api.buildpass.global/builders/{builderId}/meetings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Supasite meeting",
"projectId": "proj_clgbsb90b001qjy0f0eo1hscp",
"startAt": "2026-01-15T09:00:00.000Z",
"agenda": [
"Review site risks"
],
"notes": "Started from Supasite",
"externalSourceId": "supasite:meeting:user_123:2026-01-15T09:00:00.000Z",
"sourceApp": "supasite"
}
'import requests
url = "https://api.buildpass.global/builders/{builderId}/meetings"
payload = {
"title": "Supasite meeting",
"projectId": "proj_clgbsb90b001qjy0f0eo1hscp",
"startAt": "2026-01-15T09:00:00.000Z",
"agenda": ["Review site risks"],
"notes": "Started from Supasite",
"externalSourceId": "supasite:meeting:user_123:2026-01-15T09:00:00.000Z",
"sourceApp": "supasite"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Supasite meeting',
projectId: 'proj_clgbsb90b001qjy0f0eo1hscp',
startAt: '2026-01-15T09:00:00.000Z',
agenda: ['Review site risks'],
notes: 'Started from Supasite',
externalSourceId: 'supasite:meeting:user_123:2026-01-15T09:00:00.000Z',
sourceApp: 'supasite'
})
};
fetch('https://api.buildpass.global/builders/{builderId}/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "extapitoolboxmeeting01",
"builderId": "buil_clgbsb90b001qjy0f0eo1hspp",
"projectId": "proj_clgbsb90b001qjy0f0eo1hscp",
"projectName": "Downtown Mall Construction",
"projectTimezone": "Australia/Brisbane",
"title": "External API seeded meeting",
"name": "External API seeded meeting",
"meetingTitle": "External API seeded meeting",
"meetingTypeId": null,
"meetingTypeName": null,
"date": "2026-01-15T09:00:00.000Z",
"startAt": "2026-01-15T09:00:00.000Z",
"scheduledAt": "2026-01-15T09:00:00.000Z",
"status": "DISTRIBUTED",
"meetingStatus": "DISTRIBUTED",
"agenda": "External API integration test agenda",
"description": "Seeded meeting for External API integration tests",
"notes": "Seeded meeting for External API integration tests",
"updatedAt": "2026-01-15T09:00:00.000Z"
}{
"errors": [
{
"fieldName": "name",
"message": "This field is required."
}
]
}Create meeting
Create a draft meeting for a builder
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
"buil_clgbsb90b001qjy0f0eo1hspp"
Body
"Supasite meeting"
"proj_clgbsb90b001qjy0f0eo1hscp"
"2026-01-15T09:00:00.000Z"
20["Review site risks"]
"Started from Supasite"
"supasite:meeting:user_123:2026-01-15T09:00:00.000Z"
"supasite"
Response
Created meeting
"extapitoolboxmeeting01"
"buil_clgbsb90b001qjy0f0eo1hspp"
"proj_clgbsb90b001qjy0f0eo1hscp"
"Downtown Mall Construction"
"Australia/Brisbane"
"External API seeded meeting"
"External API seeded meeting"
"External API seeded meeting"
null
null
"2026-01-15T09:00:00.000Z"
"2026-01-15T09:00:00.000Z"
"2026-01-15T09:00:00.000Z"
DRAFT, DISTRIBUTED, COMPLETED, RUNNING "DISTRIBUTED"
DRAFT, DISTRIBUTED, COMPLETED, RUNNING "DISTRIBUTED"
"External API integration test agenda"
"Seeded meeting for External API integration tests"
"Seeded meeting for External API integration tests"
"2026-01-15T09:00:00.000Z"